Bug 9704 - Add persona login to the CCSR theme
Summary: Add persona login to the CCSR theme
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Authentication (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Chris Cormack
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on: 9587
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-25 02:22 UTC by Chris Cormack
Modified: 2014-05-26 21:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Medium patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9704 : Adding persona login to the CCSR theme (11.19 KB, patch)
2013-02-25 02:42 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 9704 : Adding persona login to the CCSR theme (12.20 KB, patch)
2013-02-26 07:49 UTC, Chris Cormack
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9704 : Adding persona login to the CCSR theme (12.35 KB, patch)
2013-02-26 11:45 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[PASSED QA] Bug 9704 : Adding persona login to the CCSR theme (12.58 KB, patch)
2013-03-20 13:12 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2013-02-25 02:22:44 UTC
Now persona logins have been enabled in bug 9857, we should add the buttons to the CCSR theme also
Comment 1 Chris Cormack 2013-02-25 02:42:13 UTC Comment hidden (obsolete)
Comment 2 Bernardo Gonzalez Kriegel 2013-02-25 12:39:53 UTC
Can login, but cant't log out:
press log out, show normal opac for a second, then logs me in again.
Only switching to 'prog' theme could logout successfully.

Only happens with ccsr
Comment 3 Chris Cormack 2013-02-26 07:49:30 UTC Comment hidden (obsolete)
Comment 4 Chris Cormack 2013-02-26 07:50:54 UTC
Thanks Bernardo, that should be fixed now.
Comment 5 Bernardo Gonzalez Kriegel 2013-02-26 11:45:54 UTC Comment hidden (obsolete)
Comment 6 Katrin Fischer 2013-03-20 13:12:20 UTC
Created attachment 16512 [details] [review]
[PASSED QA] Bug 9704 : Adding persona login to the CCSR theme

To test
Enable the Persona login
Enable the CCSR theme
Login with a user that worked with the prog theme

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

Comment: Works as described. Tested normal/persona log-in/out.
No errors.

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Works nicely and gives good feedback (I forgot to add my
email address to the patron at first).
Passes all tests and QA script.

http://bugs.koha-community.org/show_bug.cgi?id=9708
Comment 7 Jared Camins-Esakov 2013-03-20 19:24:43 UTC
This patch has been pushed to master.